function x =gf1(h1,mufi,sigmafi,fi,sigma2)
%%% Acceptance probability for non-centred parametrization
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Input Arguments:
%%% h1:      log-volatility at time t=1,
%%% mufi:    mean of the prior for phi,
%%% sigmafi: std. of the prior for phi,
%%% fi:      phi,   
%%% sigma2:  variance of log-volatility.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
x=log(tnormpdf(fi,mufi,sigmafi,-1,1))+0.5*log(1-fi^2);
x=x-(h1^2*(1-fi^2))./(2*sigma2);

